#!/usr/bin/perl 
#
# reflect -- perl utility to redirect arrivals to services on boris in Frostbitefalls
#		(Walt's private devel environment)
# Copyright 2006-2011 Walter R. Washburn III
#
# If CLA provided, it is appended to $targetURL to provide path info
#   construct it without leading or trailing slash (/) characters
#
use strict;
use CGI::Carp qw(fatalsToBrowser);
$| = 1;
print "Content-type: text/html\n\n";

##################################
my $targetPATH = ":8443/Cloudlog"; 
my $target_ip = get_ip();

my $targetURL = "https://${target_ip}";
if (defined $targetPATH) {$targetURL .= "$targetPATH/"};
###################################

my $html=<<END_HTML ;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Walt''s development server - Redirect Page</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="refresh" content="0;URL=$targetURL"
</head>

<body>
<table width="60%" align="center" cellpadding="0" cellspacing="0">

  <tr>
    <td>
            <h6>&nbsp;</h6>
            <h5 Redirect to Walt's development server</h5>
            <p>You will now be redirected to dudley ...</p>
            <p>If you are not redirected immediately,  please click on the following link:</p>
            <p><a href="$targetURL">Frostbitefalls</a></p>
    </td>
  </tr>
  <tr>
    <td>	
	<p><em>Please Note:</em> If my ISP has recently changed my home's broadband
	internet address, you may get a "host not found" message until my home servers 
	post the new address here.  Please wait 15 min and try again -- I apologize for the 
	inconvenience.</p>
    </td>
  </tr>

</table>
</body>
</html>
END_HTML

# Send to webserver
print $html;

sub get_ip {
	my $output;
    	open(README, "./target_ip.pl |") or die "Can't run program: $!\n";
	while(<README>) {
    		$output .= $_;
	}
	close(README);

    chomp $output;
    return $output;

}
